%include	/usr/lib/rpm/macros.perl
Summary:	A library for locking devices
Summary(pl.UTF-8):	Biblioteka do blokowania urządzeń
Name:		lockdev
Version:	1.0.3
Release:	8
License:	LGPL v2.1
Group:		Libraries
Source0:	ftp://ftp.debian.org/debian/pool/main/l/lockdev/%{name}_%{version}.orig.tar.gz
# Source0-md5:	64b9c1b87b125fc348e892e24625524a
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-baudboy.patch
BuildRequires:	perl-ExtUtils-MakeMaker
BuildRequires:	rpm-perlprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Lockdev provides a reliable way to put an exclusive lock to devices
using both FSSTND and SVr4 methods.

%description -l pl.UTF-8
lockdev udostępnia wiarygodny sposób na zakładanie wyłącznej blokady
na urządzenia przy użyciu metod zarówno FSSTND jak i SVr4.

%package devel
Summary:	The header files for the lockdev library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki lockdev
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The lockdev library provides a reliable way to put an exclusive lock
on devices using both FSSTND and SVr4 methods. The lockdev-devel
package contains the development headers.

%description devel -l pl.UTF-8
Biblioteka lockdev udostępnia wiarygodny sposób na zakładanie
wyłącznej blokady na urządzenia przy użyciu metod zarówno FSSTND jak i
SVr4. Ten pakiet zawiera pliki nagłówkowe.

%package static
Summary:	Static lockdev library
Summary(pl.UTF-8):	Biblioteka statyczna lockdev
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static lockdev library.

%description static -l pl.UTF-8
Biblioteka statyczna lockdev.

%package baudboy
Summary:	lockdev utility
Summary(pl.UTF-8):	Narzędzie lockdev
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description baudboy
This package contains sgid lockdev utility used by Baudboy API.

%description baudboy -l pl.UTF-8
Ten pakiet zawiera narzędzie lockdev z ustawionym bitem sgid używane
przez API Baudboy.

%package baudboy-devel
Summary:	Baudboy interface to lockdev utility
Summary(pl.UTF-8):	Interfejs Baudboy do narzędzia lockdev
Group:		Development/Libraries

%description baudboy-devel
Baudboy interface to lockdev utility.

%description baudboy-devel -l pl.UTF-8
Interfejs Baudboy do narzędzia lockdev.

%package -n perl-LockDev
Summary:	LockDev - Perl extension to manage device lockfiles
Summary(pl.UTF-8):	LockDev - rozszerzenie Perla do zarządzania plikami blokującymi dla urządzeń
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description -n perl-LockDev
The LockDev methods act on device locks normally located in /var/lock.
The lock is acquired creating a pair of files hardlinked between them
and named after the device name (as mandated by FSSTND) and the
device's major and minor numbers (as in SVr4 locks). This permits to
circumvent a problem using only the FSSTND lock method when the same
device exists under different names (for convenience or when a device
must be accessable by more than one group of users).

The lock file names are typically in the form LCK..ttyS1 and
LCK.004.065, and their content is the pid of the process who owns the
lock.

%description -n perl-LockDev -l pl.UTF-8
Metody LockDev działają na blokadach (plikach blokujących) urządzeń
normalnie położonych w /var/lock. Blokada jest uzyskiwana poprzez
utworzenie pary plików połączonych dowiązaniem zwykłym i nazwanych od
nazwy urządzenia (wg specyfikacji FSSTND) oraz liczby głównej i
pobocznej (major i minor, jak w blokadach SVr4). Pozwala to rozwiązać
problem istniejący w przypadku używania wyłącznie metody FSSTND, kiedy
to samo urządzenie istnieje pod różnymi nazwami (dla wygody lub kiedy
musi być dostępne dla więcej niż jednej grupy użytkowników).

Nazwy plików blokujących są zwykle w postaci LCK..ttyS1 i LCK.004.065,
a ich zawartość to identyfikator (PID) procesu posiadającego blokadę.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} static \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall"

%{__make} shared lockdev \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -D_REENTRANT" \
	LCFLAGS="%{rpmldflags}"

cd LockDev
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	sbindir=$RPM_BUILD_ROOT%{_sbindir} \
	libdir=$RPM_BUILD_ROOT%{_libdir} \
	incdir=$RPM_BUILD_ROOT%{_includedir} \
	mandir=$RPM_BUILD_ROOT%{_mandir}

%{__make} install -C LockDev \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/LockDev/.packlist

install -d $RPM_BUILD_ROOT%{_pkgconfigdir}
cat >$RPM_BUILD_ROOT%{_pkgconfigdir}/lockdev.pc <<'EOF'
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: lockdev
Description: A library for locking devices
Version: %{version}
Libs: -L${libdir} -llockdev
Cflags:
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblockdev.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblockdev.so
%{_mandir}/man3/lockdev.3*
%{_includedir}/lockdev.h
%{_includedir}/ttylock.h
%{_pkgconfigdir}/lockdev.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liblockdev.a

%files baudboy
%defattr(644,root,root,755)
%attr(2755,root,uucp) %{_sbindir}/lockdev

%files baudboy-devel
%defattr(644,root,root,755)
%{_includedir}/baudboy.h

%files -n perl-LockDev
%defattr(644,root,root,755)
%{perl_vendorarch}/LockDev.pm
%dir %{perl_vendorarch}/auto/LockDev
%{perl_vendorarch}/auto/LockDev/LockDev.bs
%attr(755,root,root) %{perl_vendorarch}/auto/LockDev/LockDev.so
%{_mandir}/man3/LockDev.3*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lockdev.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 870a260
- rebuild with perl 5.18.0
- release 8 (by relup.sh)

* Thu Dec 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 12e89c6
- added pkgconfig file (expected by some software, like minicom)
- release 7

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 0fe62af
- rel 6

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> a3c7487
- BR: perl-ExtUtils-MakeMaker, rpm-perlprov

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> beec5bd
- release 5

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 064bf47
- release 4

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> 314fdbb
- release 3

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 3905329
- rel 2

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 7fc7da4
- check-files cleanup

* Wed Dec 19 2007 zbyniu <zbyniu@pld-linux.org> d5f241e
- parallel build now possible

* Wed Dec 19 2007 zbyniu <zbyniu@pld-linux.org> ca23e79
- little hack for parallel build

* Wed Dec 12 2007 Szymon Siwek <sls@pld-linux.org> 8b8cc11
- __make -j1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b97a900
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5ca2b6f
- converted to UTF-8

* Sun Apr 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 191529c
- updated to 1.0.3

* Mon Dec 26 2005 Jakub Bogusz <qboosh@pld-linux.org> 198c0fa
- updated Makefile patch to use world-compatible soname (liblockdev.so.1)
- added baudboy patch (baudboy API from FC), added -baudboy* packages
- release 3 (note: soname changed)

* Mon Dec 26 2005 Jakub Bogusz <qboosh@pld-linux.org> e32edf9
- updated for 1.0.2
- changed to link lockdev with shared liblockdev

* Mon Dec 26 2005 Jakub Bogusz <qboosh@pld-linux.org> 0800bdc
- use world-compatible soname (liblockdev.so.1 as in Debian and FC)
- create liblockdev.so symlink on install

* Mon Dec 26 2005 Jakub Bogusz <qboosh@pld-linux.org> 0a518f8
- RH's baudboy interface

* Mon Nov 28 2005 Elan Ruusamäe <glen@pld-linux.org> aa0224e
- prevent "comment" being body to ldconfig script; rel 2

